Skip to main content
POST
/
consents
Record a consent decision
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/consents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "partyId": "<string>",
  "purpose": "<string>",
  "status": "granted",
  "channel": "<string>"
}
'
{
  "consentId": "cns_01JQ9KVFAJMZSRTA0D1Q9N1J2G",
  "partyId": "<string>",
  "purpose": "marketing-communications",
  "status": "granted",
  "channel": "mobile-app",
  "effectiveFrom": "2023-11-07T05:31:56Z",
  "effectiveTo": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
partyId
string
required
purpose
string
required
status
enum<string>
required
Available options:
granted,
withdrawn
channel
string

Response

Consent recorded

Example:

"cns_01JQ9KVFAJMZSRTA0D1Q9N1J2G"

partyId
string
required
purpose
string
required
Example:

"marketing-communications"

status
enum<string>
required
Available options:
granted,
withdrawn,
expired
channel
string
Example:

"mobile-app"

effectiveFrom
string<date-time>
effectiveTo
string<date-time>